%define	upstream_name	 Archive-Extract
%define	upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	A generic archive extracting mechanism
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildRequires:	perl(IPC::Cmd)                  >= 0.360.0
BuildRequires:  perl(Module::Load::Conditional) >= 0.40.0
BuildRequires:  perl-version
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Archive::Extract is a generic archive extraction mechanism.

It allows you to extract any archive file of the type .tar, .tar.gz, .gz, .Z,
tar.bz2, .tbz, .bz2 or .zip without having to worry how it does so, or use
different interfaces for each type by using either perl modules, or commandline
tools on your system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES
%{perl_vendorlib}/Archive/*
%{_mandir}/*/*


%changelog
* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2010.0
+ Revision: 408913
- rebuild using %%perl_convert_version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2010.0
+ Revision: 390323
- update to new version 0.34

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2010.0
+ Revision: 386988
- update to new version 0.32

* Wed Dec 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 315097
- update to new version 0.30

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 292020
- update to new version 0.28

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.26-2mdv2009.0
+ Revision: 289341
- restore the spec file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2008.1
+ Revision: 159907
- update to new version 0.26

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2008.1
+ Revision: 98020
- update to new version 0.24
- update to new version 0.24

* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.22-1mdv2008.0
+ Revision: 42850
- Import perl-Archive-Extract




* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.22-1mdv2007.1
- initial package
